> ## Documentation Index
> Fetch the complete documentation index at: https://developer.kiotapay.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Single Bank Collection Transaction

> Description of your new file.

# Get Single Bank Collection API

This API retrieves the details of a specific Bank collection paymentusing the provided `requestId`.

***

## **Endpoint**

`GET `/api/sandbox/v1/bank/collection/single

***

## **Base URL**

`https://api.kiotapay.co`

***

## **Query Parameters**

| Parameter   | Type     | Description                                         | Required |
| :---------- | :------- | :-------------------------------------------------- | :------- |
|             |          |                                                     |          |
| `requestId` | `string` | The unique identifier for the specific transaction. | ✅        |

***

## **Request Headers**

| Key             | Value                 | Required | Description                                                        |
| :-------------- | :-------------------- | :------- | :----------------------------------------------------------------- |
| `Content-Type`  | `application/json`    | ✅        | Specifies that the request body is in JSON format.                 |
| `Authorization` | `Bearer <your-token>` | ✅        | API authentication token. Replace `<your-token>` with a valid JWT. |

***

## **Example Request**

### **cURL Command**

```bash theme={null}
curl --location 'https://api.kiotapay.co/api/sandbox/v1/bank/collection/single?requestId=e66790a6-779c-4f00-97f3-d4e27be1ded5' \
--header 'accept: application/json' \
--header 'Authorization: Bearer token'
```

**Sample Response Body**

```json theme={null}
{
    "status": 200,
    "message": "OK",
    "data": {
        "id": 2,
        "uuid": "e66790a6-779c-4f00-97f3-d4e27be1ded5",
        "customerid": "69183",
        "transactionref": "SQ98L42422B",
        "paymentmode": "PESALINK",
        "transactiondate": "2025-05-08",
        "accountnumber": "00304636976350",
        "amount": "10000",
        "description": "Payment narration",
        "organisation": {
            "uuid": "71b22afc-4d17-4d8b-8c6a-0534aa537aba",
            "name": "Staging",
            "phoneNumber": "2547090362174",
            "environment": "sandbox",
            "collectionCallbackUrl": null,
            "parentOrganisation": null,
            "parent": false
        },
        "createdAt": "2025-05-08T00:07:40.894988",
        "updatedAt": "2025-05-08T00:07:40.894988"
    }
}
```
